Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.editor
Class SimpleColorEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          datechooser.beans.editor.VisualEditor
              datechooser.beans.editor.VisualEditorCashed
                  datechooser.beans.editor.SimpleColorEditor

All Implemented Interfaces:
  java.beans.PropertyEditor, javax.swing.colorchooser.ColorSelectionModel

    public class SimpleColorEditor

extends VisualEditorCashed
implements javax.swing.colorchooser.ColorSelectionModel

Color editor.
Редактор цвета.

Since:
  1.0
Author:
  Androsov Vadim

Constructor Summary
`SimpleColorEditor()`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener listener)`
`protected javax.swing.JComponent` | `createEditor()`
`void` | `fireStateChange()`
`java.lang.String` | `getJavaInitializationString()`
`java.awt.Color` | `getSelectedColor()`
`boolean` | `isPaintable()`
`void` | `paintValue(java.awt.Graphics gfx, java.awt.Rectangle box)`
`void` | `removeChangeListener(javax.swing.event.ChangeListener listener)`
`void` | `setSelectedColor(java.awt.Color color)`

Methods inherited from class datechooser.beans.editor.VisualEditorCashed
`getCustomEditor, getEditorCash, setEditorCash`

Methods inherited from class datechooser.beans.editor.VisualEditor
`supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getSource, getTags, getValue, removePropertyChangeListener, setAsText, setSource, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleColorEditor

    public SimpleColorEditor()

Method Detail

### createEditor

    protected javax.swing.JComponent createEditor()

  Specified by:
    `createEditor` in class `VisualEditor`

### getSelectedColor

    public java.awt.Color getSelectedColor()

  Specified by:
    `getSelectedColor` in interface `javax.swing.colorchooser.ColorSelectionModel`

### setSelectedColor

    public void setSelectedColor(java.awt.Color color)

  Specified by:
    `setSelectedColor` in interface `javax.swing.colorchooser.ColorSelectionModel`

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener listener)

  Specified by:
    `addChangeListener` in interface `javax.swing.colorchooser.ColorSelectionModel`

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener listener)

  Specified by:
    `removeChangeListener` in interface `javax.swing.colorchooser.ColorSelectionModel`

### fireStateChange

    public void fireStateChange()

### getJavaInitializationString

    public java.lang.String getJavaInitializationString()

  Specified by:
    `getJavaInitializationString` in interface `java.beans.PropertyEditor`
  Overrides:
    `getJavaInitializationString` in class `java.beans.PropertyEditorSupport`

### isPaintable

    public boolean isPaintable()

  Specified by:
    `isPaintable` in interface `java.beans.PropertyEditor`
  Overrides:
    `isPaintable` in class `java.beans.PropertyEditorSupport`

### paintValue

    public void paintValue(java.awt.Graphics gfx,
                           java.awt.Rectangle box)

  Specified by:
    `paintValue` in interface `java.beans.PropertyEditor`
  Overrides:
    `paintValue` in class `java.beans.PropertyEditorSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD